# generated by datamodel-codegen:
#   filename:  asset_block_upload_finalize_v1.json

from __future__ import annotations

from typing import Optional

from pydantic import AnyUrl, BaseModel, ConfigDict


class MonitorLink(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    uri: str
    """
    Monitor link for getting the upload status.
    """


class DuplicateOf(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    asset_uri: Optional[AnyUrl] = None
    """
    If present, the uri of the asset the original_name collided with.
    """
    folder_uri: Optional[AnyUrl] = None
    """
    If present, the uri of the folder the original_name collided with.
    """


class RenameInfo(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    duplicate_of: Optional[DuplicateOf] = None
    name: str
    """
    The name actually used.
    """
    original_name: str
    """
    The original name.
    """


class Model(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    asset_id: Optional[str] = None
    """
    Id the asset created/updated in this API call.
    """
    asset_uri: Optional[AnyUrl] = None
    """
    Asset URI of the asset created/updated.
    """
    content_md5: Optional[str] = None
    """
    Cloud provider checksum. Returned only if creation/updation is completed and successful. 
    """
    etag: Optional[str] = None
    """
    ETag of the created/updated asset. Returned only if creation/updation is completed and successful. 
    """
    monitor_link: Optional[MonitorLink] = None
    """
    Monitor link object for getting the upload status. Returned only when asset upload/update is still in progress and http status is 202.
    """
    rename_info: Optional[RenameInfo] = None
    """
    If on_dup_name was auto_rename and the name was illegal or a duplicate was encountered, contains details on the rename.
    """
    size: Optional[float] = None
    """
    Size of the uploaded file.(Reported by cloud provider)
    """
