# generated by datamodel-codegen:
#   filename:  asset_document_rendition_status_v1.json

from __future__ import annotations

from typing import Literal, Optional

from pydantic import BaseModel, ConfigDict


class DocumentRenditionStatus(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    ftpdf: Optional[
        Literal[
            'not_started',
            'in_progress',
            'failed',
            'eligible',
            'not_eligible',
            'original',
            'available',
        ]
    ] = None
    """
    FTPDF document rendition status:
      * "not_started" - Rendition generation process has not yet started
      * "in_progress" - Rendition generation process is in progress
      * "failed" - Rendition generation has failed because requested rendition cannot be generated for this document
      * "eligible" - Document is eligible/qualified for that rendition
      * "not_eligible" - Document is not eligible/qualified for that rendition
      * "original" - Original document is already in the requested format
      * "available" - Requested rendition format is now available

    """
    jcos: Optional[
        Literal[
            'not_started',
            'in_progress',
            'failed',
            'eligible',
            'not_eligible',
            'original',
            'available',
        ]
    ] = None
    """
    jCOS document rendition status:
      * "not_started" - Rendition generation process has not yet started
      * "in_progress" - Rendition generation process is in progress
      * "failed" - Rendition generation has failed because requested rendition cannot be generated for this document
      * "eligible" - Document is eligible/qualified for that rendition
      * "not_eligible" - Document is not eligible/qualified for that rendition
      * "original" - Original document is already in the requested format
      * "available" - Requested rendition format is now available

    """
    owp: Optional[
        Literal[
            'not_started',
            'in_progress',
            'failed',
            'eligible',
            'not_eligible',
            'original',
            'available',
        ]
    ] = None
    """
    OWP document rendition status:
      * "not_started" - Rendition generation process has not yet started
      * "in_progress" - Rendition generation process is in progress
      * "failed" - Rendition generation has failed because requested rendition cannot be generated for this document
      * "eligible" - Document is eligible/qualified for that rendition
      * "not_eligible" - Document is not eligible/qualified for that rendition
      * "original" - Original document is already in the requested format
      * "available" - Requested rendition format is now available

    """


class Model(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    document_rendition_status: DocumentRenditionStatus
    """
    status of each type of document rendition - ftpdf, jcos and owp
    """
