# generated by datamodel-codegen:
#   filename:  move_op_params_v1.json

from __future__ import annotations

from typing import List, Literal, Optional

from pydantic import AnyUrl, BaseModel, ConfigDict, constr


class Source(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    object_uri: Optional[AnyUrl] = None
    """
    The uri of object (asset or folder) to move.
    """
    object_uris: Optional[List[AnyUrl]] = None
    """
    An array of uris of assets and/or folders to move.
    """


class Target(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    name: Optional[constr(min_length=1)] = None
    """
    If present, the new name for the object.
    """
    parent_uri: Optional[AnyUrl] = None
    """
    If present, the uri of the folder to move this object into.
    """


class Model(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    on_dup_name: Optional[Literal['error', 'auto_rename']] = 'error'
    """
    How to handle a duplicate name.
    """
    source: Source
    """
    The thing to move.
    """
    target: Target
    """
    Where to move it to.
    """
