# generated by datamodel-codegen:
#   filename:  user_limits_fillsign_v1.json

from __future__ import annotations

from typing import Dict, List

from pydantic import BaseModel, ConfigDict, Field


class FileFormats(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    analytic_type: str
    mime_type: str


class Model(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    file_formats: List[Dict[str, FileFormats]] = Field(..., min_length=1)
    """
    List of supported file types that can be used to create a form
    """
    max_file_size: int
    """
    Maximum allowed file size in bytes that can be used to create a form
    """
    max_num_of_fields: int
    """
    Maximum allowed number of fields per page
    """
    max_num_of_pages: int
    """
    Maximum allowed number of pages in PDF that can be used to create a form
    """
