# generated by datamodel-codegen:
#   filename:  user_upsell_v1.json

from __future__ import annotations

from typing import List, Literal

from pydantic import BaseModel, ConfigDict


class UpsellItem(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    billing_term: Literal['Monthly', 'AnnualBilledMonthly', 'AnnualBilledAnnually']
    entitlement_name: Literal[
        'can_send_to_individuals',
        'can_send_av',
        'create_pdf_conversions',
        'combine_pdf_conversions',
        'export_pdf_conversions',
        'export_pdf2ppt_conversions',
        'export_pdf2img_conversions',
        'acrobat_pro',
    ]
    """
    Will match `entitlement` parameter if specified.
    """
    mandatory: bool
    """
    'true' if showing the upsell is mandatory and 'false' otherwise. For purchases, there are locations where showing multiple purchase options are mandatory. This flag will be true for those geos.
    """
    purchase_sku: str
    """
    The purchase sku number using which a user could get to the given entitlement. his field is available for both purchase and upgrade as there were use cases where upgrade was invoked with a purchase sku and clients need to translate from a purchase sku to an upgrade sku..
    """
    sitecatalyst_plan_code: str
    """
    This is the string that will be sent to sitecatalyst with the purchase/upgrade event.<br/> -> Refer to the "In-app upgrades" section of the SiteCatalyst Instrumentation - Plan Info wiki to get the analytics name for upgrades<br/> -> Refer to the "<New Plan>" row in the "Anyware cart instrumentation" section of SiteCatalyst Instrumentation - Page Name and Custom Variables to get the analytics name for purchases.
    """
    subscription_name: Literal[
        'CreatePDF',
        'PDFPack',
        'ExportPDF',
        'Files',
        'DCGlobal',
        'DCEnterprise',
        'AcrobatPlus',
        'AcrobatStd',
        'SendNow',
        'FillAndSign',
        'ESign',
    ]
    """
    Additional subscriptions may be added in the future.
    """
    upgrade_sku: str
    """
    The upgrade sku number for this user for the given entitlement. This field is an empty string when upsell_type is purchase.
    """
    upsell_type: Literal['purchase', 'upgrade']
    url: str
    """
    URL which can be used by the client to invoke the upgrade or purchase workflow. Clients already running in the app may need to process the URL to navigate without reloading the app.
    """


class Model(BaseModel):
    model_config = ConfigDict(
        extra='allow',
        frozen=True,
    )
    upsell: List[UpsellItem]
