# generated by scripts/generate.py

import re
from typing import TYPE_CHECKING, Dict

from .client import Client

if TYPE_CHECKING:
    from ..models import system_log_parameters_v1


class System:

    def __init__(self, client: Client):
        self._client: Client = client

    def log(self, *, _data: "system_log_parameters_v1.Model") -> None:
        url = "https://dc-api-v2.adobe.io/system/log"
        headers: Dict[str, str] = {}

        self._client.request(
            "POST",
            url,
            headers=headers,
            json=_data.model_dump(),
        )

    def time(self) -> str:
        url = "https://taggedpdf.adobe.io/{expiry}/system/time"
        headers: Dict[str, str] = {}
        headers["Accept"] = "text/plain"

        resp = self._client.request(
            "GET",
            url,
            headers=headers,
        )
        content_type = resp.headers["Content-Type"]

        if re.search(r"text/plain", content_type):
            return resp.text
        else:
            raise ValueError(f"Unexpected content type: {content_type}")
